class MainController < ApplicationController

  # overview
  def index
    @status = Arduino.status
  end
  
  # xml output
  def xml
    @status = Arduino.status
    render :layout => false
  end
  
  # retrieve status
  def status
    @status = Arduino.status
    render :text => @status ? 'ON' : 'OFF'
  end
  
  # switch the LED on or off
  def led
    state = params[:v] == '1'
    Arduino.led state
    render :nothing => true
  end
  
end
