require "serialport.so"

# configuration
PORT = '/dev/tty.usbserial-A6004pRx'
BAUD_RATE = 9600
DATA_BITS = 8
STOP_BITS = 1
PARITY = 0

# open com port connection
con = SerialPort.new PORT, BAUD_RATE, DATA_BITS, STOP_BITS, PARITY

# run loop
while true
  
  # read character
  c = con.getc
  
  # ignore whitespaces and nils
  puts c if c and c > 13
  
  # run at ~25Hz
  sleep 0.04
  
end
